Skip to main content
`Ctrl`+`K`

# DMAdaptorGetMixedSetupFunction

Get the function setting up the mixed problem, if it exists

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorGetMixedSetupFunction(DMAdaptor adaptor, PetscErrorCode (**setupFunc)(DMAdaptor, DM))

Not Collective

## Input Parameter

- adaptor - the `DMAdaptor`

## Output Parameter

- setupFunc - the function setting up the mixed problem, or `NULL`

## See Also

`DMAdaptor`, `DMAdaptorSetMixedSetupFunction()`, `DMAdaptorAdapt()`

## Level

advanced

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages